Subject: Re: [PATCH 0/2] tree-walk improvements

From: David Turner <[email-masked]>
Date: Mon, 26 Sep 2016 16:22:23 -0400

On Mon, 2016-09-26 at 12:43 -0700, Junio C Hamano wrote:
> David Turner <[email-masked]> writes:
> 
> > The first patch is a re-roll of Peff's patch from 2014 -- here's
> > the archive message:
> >
> > http://git.661346.n2.nabble.com/PATCH-tree-walk-be-more-specific-about-corrupt-tree-errors-td7603558.html
> >
> > Not sure why this wasn't applied then, but I thought it looked pretty
> > good, so I added a few tests.
> 
> Thanks.  Adding tests is very much appreciated.  I however wonder
> why you needed to reword a perfectly readable "truncated" to
> something else, though?

Because truncated, to me, means "something that has been cut off". Here,
the recorded length is too short, so it's probably not the case that
something was cut off -- it was never right to begin with.